Имя пользователя:
Пароль:  
Помощь | Регистрация | Забыли пароль?  | Правила  

Компьютерный форум OSzone.net » Linux и FreeBSD » Общий по Linux » Debian/Ubuntu - [решено] Обновить ядро

Ответить
Настройки темы
Debian/Ubuntu - [решено] Обновить ядро
exo exo вне форума

Аватара для exo

Ветеран


Сообщения: 12412
Благодарности: 1442


Конфигурация

Профиль | Отправить PM | Цитировать


Изменения
Автор: exo
Дата: 02-04-2013
Описание: Добавлено решение.
Доброго вечера.
Есть дебиан 6.0.6 с ядром 2.6, хочу установить ядро 3.8
Можно ли как-то обновить через aptitude install ?

сейчас пытаюсь обновить так и ругаетсо:
Цитата:
wget http://www.kernel.org/pub/linux/kern...-3.8.2.tar.bz2
tar -jxvf linux-3.8.2.tar.bz2
tar (child): bzip2: Cannot exec: No such file or directory
tar (child): Error is not recoverable: exiting now
tar: Child returned status 2
tar: Error is not recoverable: exiting now
спасибо.

Решение: обновление с 3.2 до 3.8. до 3.2 можно обновится из backports
Цитата:
wget http://www.kernel.org/pub/linux/kern...-3.8.2.tar.bz2
tar -jxvf linux-3.8.2.tar.bz2
mv linux-3.8.2 /usr/src/
cd /usr/src/
ln -s /usr/src/linux-3.8.2/ /usr/src/linux
cd linux
aptitude install make
aptitude install gcc
aptitude install ncurses-dev
make menuconfig
make -j4 && make modules_install
make install
update-grub

-------
продаю "железку" Kraftway Вежливый клиент всегда прав!


Отправлено: 21:05, 11-03-2013

 
exo exo вне форума Автор темы

Аватара для exo

Ветеран


Сообщения: 12412
Благодарности: 1442

Профиль | Отправить PM | Цитировать


да, я это видел. но aptitude search ничего не находит... остаётся только руками?

-------
продаю "железку" Kraftway Вежливый клиент всегда прав!


Отправлено: 13:18, 15-03-2013 | #71



Для отключения данного рекламного блока вам необходимо зарегистрироваться или войти с учетной записью социальной сети.

Если же вы забыли свой пароль на форуме, то воспользуйтесь данной ссылкой для восстановления пароля.


Аватара для shisik

Ветеран


Сообщения: 2779
Благодарности: 537

Профиль | Отправить PM | Цитировать


После правки sources.list aptitude update делали?

-------
Registered Linux User #426083
Gentoo Linux amd64, Gnome 2.32.1, Compiz-Fusion


Отправлено: 15:03, 15-03-2013 | #72

exo exo вне форума Автор темы

Аватара для exo

Ветеран


Сообщения: 12412
Благодарности: 1442

Профиль | Отправить PM | Цитировать


да. в первую очередь.
я сейчас ядро немного изменил, а как мне узнать с какого я загрузился? а то они оба 2.6...............

-------
продаю "железку" Kraftway Вежливый клиент всегда прав!


Последний раз редактировалось exo, 15-03-2013 в 20:32.


Отправлено: 15:09, 15-03-2013 | #73

exo exo вне форума Автор темы

Аватара для exo

Ветеран


Сообщения: 12412
Благодарности: 1442

Профиль | Отправить PM | Цитировать


ну вообщем всё. разобрался. правда с Debian 7 testing.
вот все шаги:
Код: Выделить весь код
wget http://www.kernel.org/pub/linux/kernel/v3.x/linux-3.8.2.tar.bz2
tar -jxvf linux-3.8.2.tar.bz2
mv linux-3.8.2 /usr/src/
cd /usr/src/
ln -s /usr/src/linux-3.8.2/ /usr/src/linux
cd linux
aptitude install make
aptitude install gcc
aptitude install ncurses-dev
make menuconfig
make -j4 && make modules_install
make install
update-grub
во время make menuconfig получил следующие:
Код: Выделить весь код
#
# using defaults found in /boot/config-3.2.0-4-686-pae
#
/boot/config-3.2.0-4-686-pae:1624:warning: symbol value 'm' invalid for BMP085
/boot/config-3.2.0-4-686-pae:3124:warning: symbol value 'm' invalid for POWER_SUPPLY
/boot/config-3.2.0-4-686-pae:3369:warning: symbol value 'm' invalid for MFD_WM8400
/boot/config-3.2.0-4-686-pae:4917:warning: symbol value 'm' invalid for COMEDI_MISC_DRIVERS
/boot/config-3.2.0-4-686-pae:4924:warning: symbol value 'm' invalid for COMEDI_ISA_DRIVERS
/boot/config-3.2.0-4-686-pae:4966:warning: symbol value 'm' invalid for COMEDI_PCI_DRIVERS
/boot/config-3.2.0-4-686-pae:5023:warning: symbol value 'm' invalid for COMEDI_PCMCIA_DRIVERS
/boot/config-3.2.0-4-686-pae:5031:warning: symbol value 'm' invalid for COMEDI_USB_DRIVERS
сам конфиг оставил по умолчанию.
всё загрузилось, но есть одина ошибка перед загрузкой:

что это и это критично?

-------
продаю "железку" Kraftway Вежливый клиент всегда прав!


Отправлено: 19:03, 02-04-2013 | #74

exo exo вне форума Автор темы

Аватара для exo

Ветеран


Сообщения: 12412
Благодарности: 1442

Профиль | Отправить PM | Цитировать


Цитата exo:
что это и это критично? »
такая ошибка есть на виртуальной машине. проверил обновление на железном старом сервере - нет ошибки, всё работает.

-------
продаю "железку" Kraftway Вежливый клиент всегда прав!


Отправлено: 11:21, 03-04-2013 | #75


Аватара для SharkyUA

Ветеран


Сообщения: 756
Благодарности: 102

Профиль | Отправить PM | Цитировать


Цитата exo:
всё загрузилось, но есть одина ошибка перед загрузкой: »
Решить можно с помощью добавления параметра загрузки clocksource=acpi_pm.

Цитата exo:
во время make menuconfig получил следующие »
Скорее всего баг. Или же параметр m (Module) не поддерживается для этих модулей.

Цитата exo:
такая ошибка есть на виртуальной машине. »
На виртуальной машине еще не такое будет
Для Linux лучше использовать виртуализации типа OpenVZ, KVM, XEN и т.п. вместо виртуальных машин VirtualBox, VMWare.

Я себе на 3.8.5 обновлял так (дополнительно применял патч CK включающий BFS):
Код: Выделить весь код
wget https://www.kernel.org/pub/linux/kernel/v3.x/linux-3.8.5.tar.xz
tar xfv linux-3.8.5.tar.xz
cp /boot/config-$(uname -r) linux-3.8.5/.config
cd linux-3.8.5
make oldconfig
make menuconfig
make -j4 deb-pkg
dpkg -i ../linux-image-3.8.5*
dpkg -i ../linux-firmware-image_3.8.5*
dpkg -i ../linux-headers-3.8.5*

-------

Любое событие с нами, с нас и начинается. Не будьте рабами событий. Это события — слуги нам.
Поделитесь музыкой / [Windows 8] Визуальные стили / Plank - Dock for Linux


Последний раз редактировалось SharkyUA, 03-04-2013 в 11:33.


Отправлено: 11:28, 03-04-2013 | #76

exo exo вне форума Автор темы

Аватара для exo

Ветеран


Сообщения: 12412
Благодарности: 1442

Профиль | Отправить PM | Цитировать


Цитата SharkyUA:
Для Linux лучше использовать виртуализации типа OpenVZ »
с ОпенВЗ есть затык...
а так я пользуюсь Hyper-V

-------
продаю "железку" Kraftway Вежливый клиент всегда прав!


Отправлено: 12:47, 03-04-2013 | #77



Компьютерный форум OSzone.net » Linux и FreeBSD » Общий по Linux » Debian/Ubuntu - [решено] Обновить ядро

Участник сейчас на форуме Участник сейчас на форуме Участник вне форума Участник вне форума Автор темы Автор темы Шапка темы Сообщение прикреплено

Похожие темы
Название темы Автор Информация о форуме Ответов Последнее сообщение
как обновить и чем обновить BIOS ASUS P4P800se Brad Поиск драйверов, прошивок и руководств 1 30-03-2009 05:05
Разное - [решено] Как лучше всего обновить систему. И стоит ее обновить? Bester Microsoft Windows 2000/XP 7 05-01-2008 20:53
Пересобрал ядро и.... Ambal Общий по Linux 13 07-08-2005 12:31
Ядро ElVovan Общий по FreeBSD 11 28-01-2004 17:38
ядро modem Общий по Linux 6 17-08-2003 22:30




 
Переход